package com.ruoyi.system.service;

import com.ruoyi.common.core.domain.AjaxResult;

public interface ShortMessageService {
    public AjaxResult sendSmsCommon(String mobile, Integer smsType);

    boolean sendSms(String phoneNumber, String templateCode, String templateParam, String code, Integer smsType);

    boolean checkCode(String phoneNo, String code);

    public boolean sendSms(String phoneNumber, Integer smsType);

    public boolean sendSmsECard(String mobileNo, String username, String password, Integer smsType);

    public Boolean isBlacklist(String phonenumber);
}
